var linearScale = d3.scaleLinear()
  // Input domain
  .domain([0, 100])
  // Output range
  .range([0, 600])
  .clamp(true);

console.log(linearScale(-20)); // 0 with clamp(true), -120 without
console.log(linearScale(0));
console.log(linearScale(50));
console.log(linearScale(100));
console.log(linearScale(105)); // 600 with clamp(true), 630 without

// Invert takes an output range value and returns the input domain.
console.log(linearScale.invert(300));
